org.springframework.cloud.dataflow.rest

## Class SkipperStream

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.SkipperStream

-     public abstract class SkipperStream
      extends Object

  Common constant for use with Skipper
  Author:
    Ilayaperumal Gopinathan

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SKIPPER_DEFAULT_API_VERSION`
    `static String` | `SKIPPER_DEFAULT_KIND`
    `static String` | `SKIPPER_DEFAULT_MAINTAINER`
    `static String` | `SKIPPER_KEY_PREFIX`
    `static String` | `SKIPPER_PACKAGE_NAME`
    `static String` | `SKIPPER_PACKAGE_VERSION`
    `static String` | `SKIPPER_PLATFORM_NAME`
    `static String` | `SKIPPER_REPO_NAME`
    `static String` | `SKIPPER_SPEC_RESOURCE`
    `static String` | `SKIPPER_SPEC_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkipperStream()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SKIPPER_KEY_PREFIX

          public static final String SKIPPER_KEY_PREFIX

      See Also:
        Constant Field Values

    - #### SKIPPER_PACKAGE_NAME

          public static final String SKIPPER_PACKAGE_NAME

      See Also:
        Constant Field Values

    - #### SKIPPER_PACKAGE_VERSION

          public static final String SKIPPER_PACKAGE_VERSION

      See Also:
        Constant Field Values

    - #### SKIPPER_REPO_NAME

          public static final String SKIPPER_REPO_NAME

      See Also:
        Constant Field Values

    - #### SKIPPER_PLATFORM_NAME

          public static final String SKIPPER_PLATFORM_NAME

      See Also:
        Constant Field Values

    - #### SKIPPER_DEFAULT_API_VERSION

          public static final String SKIPPER_DEFAULT_API_VERSION

      See Also:
        Constant Field Values

    - #### SKIPPER_DEFAULT_KIND

          public static final String SKIPPER_DEFAULT_KIND

      See Also:
        Constant Field Values

    - #### SKIPPER_DEFAULT_MAINTAINER

          public static final String SKIPPER_DEFAULT_MAINTAINER

      See Also:
        Constant Field Values

    - #### SKIPPER_SPEC_RESOURCE

          public static final String SKIPPER_SPEC_RESOURCE

      See Also:
        Constant Field Values

    - #### SKIPPER_SPEC_VERSION

          public static final String SKIPPER_SPEC_VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SkipperStream

          public SkipperStream()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.